## ros-rolling-lanelet2-io 1.2.1

=== CMakeLists.txt ===
set(MRT_PKG_VERSION 4.0.0)
# Modify only if you know what you are doing!
cmake_minimum_required(VERSION 3.5.1)
project(lanelet2_io)

###################
## Find packages ##
###################
find_package(mrt_cmake_modules REQUIRED)
include(UseMrtStdCompilerFlags)
include(GatherDeps)

# You can add a custom.cmake in order to add special handling for this package. E.g. you can do:
# list(REMOVE_ITEM DEPENDEND_PACKAGES <package name 1> <package name 2> ...)
# To remove libs which cannot be found automatically. You can also "find_package" other, custom dependencies there.
# You can also set PROJECT_INSTALL_FILES to install files that are not installed by default.
if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/custom.cmake")
    include("${CMAKE_CURRENT_SOURCE_DIR}/custom.cmake")
endif()

find_package(AutoDeps REQUIRED COMPONENTS ${DEPENDEND_PACKAGES})

mrt_parse_package_xml()

########################
## Add python modules ##
########################
# This adds a python module if located under src/{PROJECT_NAME)
mrt_python_module_setup()

mrt_glob_files(PROJECT_PYTHON_SOURCE_FILES_SRC "python_api/*.cpp")
if (PROJECT_PYTHON_SOURCE_FILES_SRC)
    # Add a cpp-python api library. Make sure there are no name collisions with python modules in this project
    mrt_add_python_api( ${PROJECT_NAME}
        FILES ${PROJECT_PYTHON_SOURCE_FILES_SRC}
        )
endif()

############################
## Read source code files ##
############################
mrt_glob_files_recurse(PROJECT_HEADER_FILES_INC "include/*.h" "include/*.hpp" "include/*.cuh")
mrt_glob_files(PROJECT_SOURCE_FILES_INC "src/*.h" "src/*.hpp" "src/*.cuh")
mrt_glob_files(PROJECT_SOURCE_FILES_SRC "src/*.cpp" "src/*.cu")

###########
## Build ##
###########
# Declare a cpp library
mrt_add_library(${PROJECT_NAME}
    INCLUDES ${PROJECT_HEADER_FILES_INC} ${PROJECT_SOURCE_FILES_INC}
    SOURCES ${PROJECT_SOURCE_FILES_SRC}
    )

#############
## Install ##
#############
# Install all targets, headers by default and scripts and other files if specified (folders or files).
# This command also exports libraries and config files for dependent packages and this supersedes catkin_package.
mrt_install(PROGRAMS scripts FILES res data ${PROJECT_INSTALL_FILES})

#############
## Testing ##
#############
# Add test targets for cpp and python tests
if (CATKIN_ENABLE_TESTING)
    mrt_add_tests(test)
    mrt_add_nosetests(test)
endif()

## ros-rolling-lanelet2-io 1.1.1

=== debian/changelog ===
ros-rolling-lanelet2-io (1.1.1-2focal) focal; urgency=high



 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Sun, 13 Sep 2020 22:00:00 -0000

ros-rolling-lanelet2-io (1.1.0-2focal) focal; urgency=high

  * Add experimental support for building with colcon on ros2 and ament_cmake
  * Format files with clang-format 10
  * io: Fix random errors in bin serialization when serializing a HybridMap
    fixes fzi-forschungszentrum-informatik/Lanelet2#128
  * Making all includes in lanelet2_io consistent.
  * Updating package.xml files to format 3.
  * Contributors: Fabian Poggenhans, Joshua Whitley

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Sat, 05 Sep 2020 22:00:00 -0000

ros-rolling-lanelet2-io (1.0.1-2focal) focal; urgency=high

  * Make sure lanelet2 buildtool_export_depends on mrt_cmake_modules
  * Add changelogs
  * Improve warning if wrong decimal symbol is set, also report it when loading
  * Contributors: Fabian Poggenhans

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Mon, 23 Mar 2020 23:00:00 -0000

ros-rolling-lanelet2-io (1.0.0-2focal) focal; urgency=high

  * Bump version to 1.0
  * Add a new class 'LaneletSubmap' that only contains parts of the map and is faster to construct
  * IO: Implement warning for cases where the decimal point is overridden by a different locale
    resolves MRT/released/lanelet2#91
  * Fix loading of polygons that have been written without an area tag
    resolves MRT/released/lanelet2#113
  * Refactored osm parser so that parsed roles in relations keep their
    positions
  * Improve c++17 support, supress warnings and clang-tidy 7 issues
  * IO now complains when loading georeferenced maps with a default origin (resolves #71)
  * Initial commit
  * Contributors: Fabian Poggenhans, Maximilian Naumann

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Mon, 02 Mar 2020 23:00:00 -0000

=== debian/control ===
Source: ros-rolling-lanelet2-io
Section: misc
Priority: optional
Maintainer: Fabian Poggenhans <fabian.poggenhans@kit.edu>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgtest-dev, libpugixml-dev, ros-rolling-ament-cmake-core, ros-rolling-lanelet2-core, ros-rolling-mrt-cmake-modules, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-lanelet2-io
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libpugixml-dev, ros-rolling-lanelet2-core, ros-rolling-mrt-cmake-modules, ros-rolling-ros-workspace
Description: Parser/Writer module for lanelet2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-lanelet2-io//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-lanelet2-io 1.2.1

=== debian/changelog ===
ros-rolling-lanelet2-io (1.2.1-4jammy) jammy; urgency=high



 -- Fabian Immel <fabian.immel@kit.edu>  Wed, 10 May 2023 00:00:00 -0000

ros-rolling-lanelet2-io (1.2.0-4jammy) jammy; urgency=high

  * Fix OSM file output for upload and elevation (#245 <https://github.com/fzi-forschungszentrum-informatik/Lanelet2/issues/245>)
    * discourage upload and format elevation to max 2 decimals to prevent JSOM excessive elevation precision errors
    * remove width to prevent leading spaces for lat/lon/ele
    * allow for providing parameters josm_prevent_upload and josm_format_elevation to write
    * Test lat/lon/ele formatting with and without josm_format_elevation. Test josm_upload
    * improve read/write tutorial section comments
    * document params
  * Add CI using GitHub Actions (#256 <https://github.com/fzi-forschungszentrum-informatik/Lanelet2/issues/256>)
  * Contributors: Michał Antkiewicz, Nico Neumann, Fabian Immel

 -- Fabian Immel <fabian.immel@kit.edu>  Mon, 30 Jan 2023 00:00:00 -0000

ros-rolling-lanelet2-io (1.1.1-4jammy) jammy; urgency=high



 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Mon, 14 Sep 2020 00:00:00 -0000

ros-rolling-lanelet2-io (1.1.0-4jammy) jammy; urgency=high

  * Add experimental support for building with colcon on ros2 and ament_cmake
  * Format files with clang-format 10
  * io: Fix random errors in bin serialization when serializing a HybridMap
    fixes fzi-forschungszentrum-informatik/Lanelet2#128
  * Making all includes in lanelet2_io consistent.
  * Updating package.xml files to format 3.
  * Contributors: Fabian Poggenhans, Joshua Whitley

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Sun, 06 Sep 2020 00:00:00 -0000

ros-rolling-lanelet2-io (1.0.1-4jammy) jammy; urgency=high

  * Make sure lanelet2 buildtool_export_depends on mrt_cmake_modules
  * Add changelogs
  * Improve warning if wrong decimal symbol is set, also report it when loading
  * Contributors: Fabian Poggenhans

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Tue, 24 Mar 2020 00:00:00 -0000

ros-rolling-lanelet2-io (1.0.0-4jammy) jammy; urgency=high

  * Bump version to 1.0
  * Add a new class 'LaneletSubmap' that only contains parts of the map and is faster to construct
  * IO: Implement warning for cases where the decimal point is overridden by a different locale
    resolves MRT/released/lanelet2#91
  * Fix loading of polygons that have been written without an area tag
    resolves MRT/released/lanelet2#113
  * Refactored osm parser so that parsed roles in relations keep their
    positions
  * Improve c++17 support, supress warnings and clang-tidy 7 issues
  * IO now complains when loading georeferenced maps with a default origin (resolves #71)
  * Initial commit
  * Contributors: Fabian Poggenhans, Maximilian Naumann

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Tue, 03 Mar 2020 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-lanelet2-io
Section: misc
Priority: optional
Maintainer: Fabian Immel <fabian.immel@kit.edu>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgtest-dev <!nocheck>, libpugixml-dev, ros-rolling-ament-cmake-core, ros-rolling-lanelet2-core, ros-rolling-mrt-cmake-modules, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-lanelet2-io
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libpugixml-dev, ros-rolling-lanelet2-core, ros-rolling-mrt-cmake-modules, ros-rolling-ros-workspace
Description: Parser/Writer module for lanelet2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
